com.atid.lib.module.barcode.ssi.type

## Enum SecurityLevel

- java.lang.Object
- - java.lang.Enum<SecurityLevel>
  - - com.atid.lib.module.barcode.ssi.type.SecurityLevel

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<SecurityLevel>

      public enum SecurityLevel
      extends java.lang.Enum<SecurityLevel>
      implements IEnumType

  The decoder offers four levels of decode security for delta bar codes, which include UPC/EAN and Code 93. Select increasing levels of security for decreasing levels of bar code quality. There is an inverse relationship between security and decoder aggressiveness, so choose only that level of security necessary for any given application.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Level0` This setting allows the decoder to operate in its most aggressive state, while providing sufficient security in decoding most “in-spec” bar codes.
    `Level1` This default setting eliminates most misdecodes.
    `Level2` Select this option if Security level 1 fails to eliminate misdecodes.
    `Level3` If you selected Security Level 2 and misdecodes still occur, select this security level.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static SecurityLevel` | `valueOf(int code)`
    `static SecurityLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SecurityLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Level0

          public static final SecurityLevel Level0

      This setting allows the decoder to operate in its most aggressive state, while providing sufficient security in decoding most “in-spec” bar codes.

    - #### Level1

          public static final SecurityLevel Level1

      This default setting eliminates most misdecodes.

    - #### Level2

          public static final SecurityLevel Level2

      Select this option if Security level 1 fails to eliminate misdecodes.

    - #### Level3

          public static final SecurityLevel Level3

      If you selected Security Level 2 and misdecodes still occur, select this security level. Be advised, selecting this option is an extreme measure against mis-decoding severely out of spec bar codes. Selecting this level of security significantly impairs the decoding ability of the decoder. If you need this level of security, try to improve the quality of the bar codes.

  - ### Method Detail

    - #### values

          public static SecurityLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SecurityLevel c : SecurityLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SecurityLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<SecurityLevel>`

    - #### valueOf

          public static SecurityLevel valueOf(int code)